Package com.io7m.idstore.server.service.configuration.jaxb

# Class Database

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.Database

public class Database extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="OwnerRoleName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="OwnerRolePassword" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="WorkerRolePassword" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ReaderRolePassword" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Kind" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Address" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Port" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="Create" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Upgrade" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `address`
  `protected boolean`
  `create`
  `protected String`
  `kind`
  `protected String`
  `name`
  `protected String`
  `ownerRoleName`
  `protected String`
  `ownerRolePassword`
  `protected long`
  `port`
  `protected String`
  `readerRolePassword`
  `protected boolean`
  `upgrade`
  `protected String`
  `workerRolePassword`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Database()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Gets the value of the address property.
  `String`
  `getKind()`
  Gets the value of the kind property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getOwnerRoleName()`
  Gets the value of the ownerRoleName property.
  `String`
  `getOwnerRolePassword()`
  Gets the value of the ownerRolePassword property.
  `long`
  `getPort()`
  Gets the value of the port property.
  `String`
  `getReaderRolePassword()`
  Gets the value of the readerRolePassword property.
  `String`
  `getWorkerRolePassword()`
  Gets the value of the workerRolePassword property.
  `boolean`
  `isCreate()`
  Gets the value of the create property.
  `boolean`
  `isUpgrade()`
  Gets the value of the upgrade property.
  `void`
  `setAddress(String value)`
  Sets the value of the address property.
  `void`
  `setCreate(boolean value)`
  Sets the value of the create property.
  `void`
  `setKind(String value)`
  Sets the value of the kind property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOwnerRoleName(String value)`
  Sets the value of the ownerRoleName property.
  `void`
  `setOwnerRolePassword(String value)`
  Sets the value of the ownerRolePassword property.
  `void`
  `setPort(long value)`
  Sets the value of the port property.
  `void`
  `setReaderRolePassword(String value)`
  Sets the value of the readerRolePassword property.
  `void`
  `setUpgrade(boolean value)`
  Sets the value of the upgrade property.
  `void`
  `setWorkerRolePassword(String value)`
  Sets the value of the workerRolePassword property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ownerRoleName

    protected String ownerRoleName

  - ### ownerRolePassword

    protected String ownerRolePassword

  - ### workerRolePassword

    protected String workerRolePassword

  - ### readerRolePassword

    protected String readerRolePassword

  - ### kind

    protected String kind

  - ### name

    protected String name

  - ### address

    protected String address

  - ### port

    protected long port

  - ### create

    protected boolean create

  - ### upgrade

    protected boolean upgrade

- ## Constructor Details

  - ### Database

    public Database()

- ## Method Details

  - ### getOwnerRoleName

    public String getOwnerRoleName()
    Gets the value of the ownerRoleName property.
    Returns:
      possible object is `String`

  - ### setOwnerRoleName

    public void setOwnerRoleName(String value)
    Sets the value of the ownerRoleName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOwnerRolePassword

    public String getOwnerRolePassword()
    Gets the value of the ownerRolePassword property.
    Returns:
      possible object is `String`

  - ### setOwnerRolePassword

    public void setOwnerRolePassword(String value)
    Sets the value of the ownerRolePassword property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWorkerRolePassword

    public String getWorkerRolePassword()
    Gets the value of the workerRolePassword property.
    Returns:
      possible object is `String`

  - ### setWorkerRolePassword

    public void setWorkerRolePassword(String value)
    Sets the value of the workerRolePassword property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReaderRolePassword

    public String getReaderRolePassword()
    Gets the value of the readerRolePassword property.
    Returns:
      possible object is `String`

  - ### setReaderRolePassword

    public void setReaderRolePassword(String value)
    Sets the value of the readerRolePassword property.
    Parameters:
      `value` - allowed object is `String`

  - ### getKind

    public String getKind()
    Gets the value of the kind property.
    Returns:
      possible object is `String`

  - ### setKind

    public void setKind(String value)
    Sets the value of the kind property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAddress

    public String getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `String`

  - ### setAddress

    public void setAddress(String value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPort

    public long getPort()
    Gets the value of the port property.

  - ### setPort

    public void setPort(long value)
    Sets the value of the port property.

  - ### isCreate

    public boolean isCreate()
    Gets the value of the create property.

  - ### setCreate

    public void setCreate(boolean value)
    Sets the value of the create property.

  - ### isUpgrade

    public boolean isUpgrade()
    Gets the value of the upgrade property.

  - ### setUpgrade

    public void setUpgrade(boolean value)
    Sets the value of the upgrade property.